## ros-rviz 1.14.14+dfsg

=== src/rviz/CMakeLists.txt ===
find_package(yaml-cpp REQUIRED)

include_directories(${YAML_CPP_INCLUDE_DIR})

if(UNIX AND NOT APPLE)
  find_package(X11 REQUIRED)
endif()

add_subdirectory(default_plugin)

# Build the version number and other build-time constants into the
# source for access at run-time.
set(ENV_CONFIG_FILE ${CMAKE_CURRENT_BINARY_DIR}/env_config.cpp)
set(RVIZ_VERSION ${rviz_VERSION})
message(STATUS "making version ${RVIZ_VERSION}.")
#catkin_lint: ignore_once env_var
set(ROS_DISTRO $ENV{ROS_DISTRO})

configure_file(env_config.cpp.in ${ENV_CONFIG_FILE} @ONLY)

# We create one lib with the C++...

add_library(${PROJECT_NAME}
  bit_allocator.cpp
  config.cpp
  display.cpp
  display.cpp
  display_context.h
  display_factory.cpp
  display_group.cpp
  displays_panel.cpp
  failed_display.cpp
  failed_panel.cpp
  failed_tool.cpp
  failed_view_controller.cpp
  frame_manager.cpp
  load_resource.cpp
  frame_position_tracking_view_controller.cpp
  geometry.cpp
  help_panel.cpp
  image/ros_image_texture.cpp
  image/image_display_base.cpp
  loading_dialog.cpp
  message_filter_display.h
  mesh_loader.cpp
  new_object_dialog.cpp
  add_display_dialog.cpp
  ogre_helpers/apply_visibility_bits.cpp
  ogre_helpers/arrow.cpp
  ogre_helpers/axes.cpp
  ogre_helpers/billboard_line.cpp
  ogre_helpers/camera_base.cpp
  ogre_helpers/grid.cpp
  ogre_helpers/initialization.cpp
  ogre_helpers/line.cpp
  ogre_helpers/movable_text.cpp
  ogre_helpers/object.cpp
  ogre_helpers/ogre_logging.cpp
  ogre_helpers/ogre_render_queue_clearer.cpp
  ogre_helpers/orthographic.cpp
  ogre_helpers/point_cloud.cpp
  ogre_helpers/qt_ogre_render_window.cpp
  ogre_helpers/render_system.cpp
  ogre_helpers/render_widget.cpp
  ogre_helpers/shape.cpp
  ogre_helpers/mesh_shape.cpp
  panel.cpp
  panel_dock_widget.cpp
  panel_factory.cpp
  preferences_dialog.cpp
  properties/bool_property.cpp
  properties/color_editor.cpp
  properties/color_property.cpp
  properties/combo_box.cpp
  properties/display_visibility_property.cpp
  properties/display_group_visibility_property.cpp
  properties/editable_combo_box.cpp
  properties/editable_enum_property.cpp
  properties/enum_property.cpp
  properties/float_edit.cpp
  properties/float_property.cpp
  properties/int_property.cpp
  properties/line_edit_with_button.cpp
  properties/parse_color.cpp
  properties/property.cpp
  properties/property_tree_delegate.cpp
  properties/property_tree_model.cpp
  properties/property_tree_widget.cpp
  properties/property_tree_with_help.cpp
  properties/quaternion_property.cpp
  properties/ros_topic_property.cpp
  properties/splitter_handle.cpp
  properties/status_list.cpp
  properties/status_property.cpp
  properties/string_property.cpp
  properties/tf_frame_property.cpp
  properties/vector_property.cpp
  render_panel.cpp
  robot/robot_link.cpp
  robot/robot_joint.cpp
  robot/robot.cpp
  robot/tf_link_updater.cpp
  scaled_image_widget.cpp
  screenshot_dialog.cpp
  selection_panel.cpp
  selection/selection_handler.cpp
  selection/selection_manager.cpp
  splash_screen.cpp
  time_panel.cpp
  tool.cpp
  tool_manager.cpp
  uniform_string_stream.cpp
  view_controller.cpp
  view_manager.cpp
  views_panel.cpp
  visualization_frame.cpp
  visualization_manager.cpp
  visualizer_app.cpp
  wait_for_master_dialog.cpp
  widget_geometry_change_detector.cpp
  tool_properties_panel.cpp
  yaml_config_reader.cpp
  yaml_config_writer.cpp

  ${ENV_CONFIG_FILE}
)

include(GenerateExportHeader)
set(EXPORT_FILE_NAME ${EXPORT_HEADER_DIR}/rviz/${PROJECT_NAME}_export.h)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${EXPORT_FILE_NAME})
if(NOT WIN32)
  set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()

target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${QT_LIBRARIES}
  ${OGRE_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${rviz_ADDITIONAL_LIBRARIES}
  ${TinyXML2_LIBRARIES}
  ${X11_X11_LIB}
  ${ASSIMP_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
)

add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

########### The rviz executable ###########
add_executable(executable main.cpp)

if(NOT WIN32)
  set_target_properties(executable PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()

target_link_libraries(executable ${PROJECT_NAME} ${QT_LIBRARIES} ${OGRE_LIBRARIES})

set_target_properties(executable
                      PROPERTIES OUTPUT_NAME ${PROJECT_NAME})

install(TARGETS executable
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY ./
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

#catkin_lint: ignore_once external_file
install(FILES
  ${EXPORT_FILE_NAME}
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS executable
  DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== src/python_bindings/sip/CMakeLists.txt ===
# Build file for Python bindings via sip and pyqt.

set(rviz_HDRS_DIR ${PROJECT_SOURCE_DIR}/src/rviz)
set(SIP_BUILD_DIR ${PROJECT_SOURCE_DIR}/build/sip/rviz_sip)
set(SIP_SRC_DIR ${PROJECT_SOURCE_DIR}/src/python_bindings/sip)

set(rviz_sip_DEPENDENT_FILES
  rviz.sip
  visualization_frame.sip
  visualization_manager.sip
  display.sip
  display_group.sip
  panel_dock_widget.sip
  property.sip
  bool_property.sip
  view_controller.sip
  view_manager.sip
  tool.sip
  tool_manager.sip
  config.sip
  yaml_config_reader.sip
  yaml_config_writer.sip
  ${rviz_HDRS_DIR}/visualization_frame.h
  ${rviz_HDRS_DIR}/visualization_manager.h
  ${rviz_HDRS_DIR}/display.h
  ${rviz_HDRS_DIR}/display_group.h
  ${rviz_HDRS_DIR}/panel_dock_widget.h
  ${rviz_HDRS_DIR}/properties/property.h
  ${rviz_HDRS_DIR}/properties/bool_property.h
  ${rviz_HDRS_DIR}/view_controller.h
  ${rviz_HDRS_DIR}/view_manager.h
  ${rviz_HDRS_DIR}/tool.h
  ${rviz_HDRS_DIR}/tool_manager.h
  ${rviz_HDRS_DIR}/config.h
  ${rviz_HDRS_DIR}/yaml_config_reader.h
  ${rviz_HDRS_DIR}/yaml_config_writer.h
)

#catkin_lint: ignore_once duplicate_find
find_package(python_qt_binding REQUIRED)
#catkin_lint: ignore_once external_file
include(${python_qt_binding_EXTRAS_DIR}/sip_helper.cmake)

# maintain context for different named target
set(rviz_sip_INCLUDE_DIRS
  "${PROJECT_SOURCE_DIR}/src"
  ${EXPORT_HEADER_DIR}
  ${OGRE_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)
set(rviz_sip_LIBRARIES ${rviz_LIBRARIES} ${PROJECT_NAME})
set(rviz_sip_LIBRARY_DIRS ${rviz_LIBRARY_DIRS} ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
if (MSVC)
  set(rviz_sip_LDFLAGS_OTHER ${rviz_LDFLAGS_OTHER} /LIBPATH:\"${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}\")
else()
  set(rviz_sip_LDFLAGS_OTHER ${rviz_LDFLAGS_OTHER} -Wl,-rpath,\\"${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}\\")
endif()

if(sip_helper_FOUND)
  list(APPEND rviz_BINDINGS "sip")
  set(rviz_BINDINGS "${rviz_BINDINGS}" PARENT_SCOPE)
  build_sip_binding(rviz_sip rviz.sip
    SIP_CONFIGURE ${python_qt_binding_EXTRAS_DIR}/sip_configure.py
    SOURCE_DIR ${PROJECT_SOURCE_DIR}/src/python_bindings/sip
    LIBRARY_DIR ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR}/rviz
    DEPENDS ${rviz_sip_DEPENDENT_FILES}
    DEPENDENCIES rviz
  )
  if(APPLE)
    set(rviz_sip_LIBRARY_FILE librviz_sip.so)
  elseif(WIN32)
    set(rviz_sip_LIBRARY_FILE librviz_sip.pyd)
  else()
    set(rviz_sip_LIBRARY_FILE librviz_sip${CMAKE_SHARED_LIBRARY_SUFFIX})
  endif()
  #catkin_lint: ignore_once external_file
  install(FILES ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR}/rviz/${rviz_sip_LIBRARY_FILE}
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})
endif()

=== src/rviz/default_plugin/CMakeLists.txt ===
set(SOURCE_FILES
  axes_display.cpp
  camera_display.cpp
  covariance_visual.cpp
  covariance_property.cpp
  depth_cloud_display.cpp
  depth_cloud_mld.cpp
  effort_display.cpp
  effort_visual.cpp
  fluid_pressure_display.cpp
  grid_cells_display.cpp
  grid_display.cpp
  illuminance_display.cpp
  image_display.cpp
  interactive_marker_display.cpp
  interactive_markers/integer_action.cpp
  interactive_markers/interactive_marker_control.cpp
  interactive_markers/interactive_marker.cpp
  laser_scan_display.cpp
  map_display.cpp
  marker_array_display.cpp
  marker_display.cpp
  marker_utils.cpp
  markers/arrow_marker.cpp
  markers/line_list_marker.cpp
  markers/line_strip_marker.cpp
  markers/marker_base.cpp
  markers/marker_selection_handler.cpp
  markers/mesh_resource_marker.cpp
  markers/points_marker.cpp
  markers/shape_marker.cpp
  markers/text_view_facing_marker.cpp
  markers/triangle_list_marker.cpp
  odometry_display.cpp
  path_display.cpp
  point_display.cpp
  point_visual.cpp
  point_cloud2_display.cpp
  point_cloud_common.cpp
  point_cloud_display.cpp
  point_cloud_transformer.h
  point_cloud_transformers.cpp
  polygon_display.cpp
  pose_array_display.cpp
  pose_display.cpp
  pose_with_covariance_display.cpp
  range_display.cpp
  relative_humidity_display.cpp
  robot_model_display.cpp
  screw_display.cpp
  screw_visual.cpp
  temperature_display.cpp
  tf_display.cpp
  tools/focus_tool.cpp
  tools/measure_tool.cpp
  tools/move_tool.cpp
  tools/point_tool.cpp
  tools/pose_tool.cpp
  tools/goal_tool.cpp
  tools/initial_pose_tool.cpp
  tools/selection_tool.cpp
  tools/interaction_tool.cpp
  view_controllers/orbit_view_controller.cpp
  view_controllers/xy_orbit_view_controller.cpp
  view_controllers/third_person_follower_view_controller.cpp
  view_controllers/fixed_orientation_ortho_view_controller.cpp
  view_controllers/fps_view_controller.cpp
  view_controllers/frame_view_controller.cpp
)

add_library(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME} ${SOURCE_FILES})
include(GenerateExportHeader)
set(EXPORT_FILE_NAME ${EXPORT_HEADER_DIR}/rviz/default_plugin/${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}_export.h)
generate_export_header(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME} EXPORT_FILE_NAME ${EXPORT_FILE_NAME})
if(NOT WIN32)
  set_target_properties(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
    PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()
target_link_libraries(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
  ${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${OGRE_LIBRARIES}
  ${QT_LIBRARIES}
)

#catkin_lint: ignore_once external_file
install(FILES
  ${EXPORT_FILE_NAME}
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/default_plugin/)

install(TARGETS ${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

# Generate to the devel space so the extras file can include it from the devel space.
file(GENERATE
  OUTPUT "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/default_plugin_location.cmake"
  CONTENT "set(rviz_DEFAULT_PLUGIN_FILE_NAME $<TARGET_LINKER_FILE_NAME:${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}>)"
)
#catkin_lint: ignore_once external_file
# Install from the devel space to the install space.
install(FILES "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/default_plugin_location.cmake"
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake
)

=== debian/changelog ===
ros-rviz (1.14.14+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:21:38 +0000

ros-rviz (1.14.14+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.14+dfsg
  * Drop versioned dependency (version in stable)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Feb 2022 09:30:46 +0100

ros-rviz (1.14.13+dfsg-3) unstable; urgency=medium

  * Fix exported location of default plugin

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jan 2022 19:15:27 +0100

ros-rviz (1.14.13+dfsg-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop c++11 compile flags (breaks with log4cxx 0.12)

  [ Timo Röhling ]
  * Also drop CMAKE_CXX_STANDARD 14 to prevent compiler downgrade
  * Move default_plugin_location.cmake from /usr/share to /usr/lib

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Jan 2022 16:30:46 +0100

ros-rviz (1.14.13+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.13+dfsg

 -- Timo Röhling <roehling@debian.org>  Fri, 17 Dec 2021 16:58:01 +0100

ros-rviz (1.14.12+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.12+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Dec 2021 11:39:59 +0100

ros-rviz (1.14.11+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.11+dfsg
  * Update d/copyright
  * Switch to dh-sequence-sip3
  * Enable tests
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 22 Nov 2021 08:28:07 +0100

ros-rviz (1.14.10+dfsg-2) unstable; urgency=medium

  * Remove duplicate B-D
  * Add MA hint from MA hinter
  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Oct 2021 23:31:19 +0200

ros-rviz (1.14.10+dfsg-1) experimental; urgency=medium

  * New upstream version 1.14.10+dfsg
  * Bump SONAME to 6d

 -- Timo Röhling <roehling@debian.org>  Mon, 27 Sep 2021 23:52:08 +0200

ros-rviz (1.14.4+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:38 +0200

ros-rviz (1.14.4+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 00:57:58 +0200

=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libboost-thread-dev, libassimp-dev, libgl1-mesa-dev | libgl-dev, libqt5opengl5-dev, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python3-python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python3-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libeigen3-dev, libogre-1.12-dev, librostest-dev, libyaml-cpp-dev, liburdfdom-dev, python3-all-dev, dh-sequence-python3, dh-sequence-sip3, libx11-dev, chrpath, ros-std-msgs, libgtest-dev
Standards-Version: 4.6.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rviz
Vcs-Git: https://salsa.debian.org/science-team/ros-rviz.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rviz

Package: librviz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librviz6d (= ${binary:Version}), ${misc:Depends}, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python3-python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python3-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libogre-1.12-dev
Description: Development files for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the development files for the rviz library.

Package: librviz6d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for the Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation, libqt5svg5
Description: 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the rviz program.

Package: python3-rviz
Section: python
Architecture: any
Depends: ${python3:Depends}, ${sip3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-python-qt-binding
Description: Python 3 bindings for the 3D visualization tool for Robot OS
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.
 .
 This package contains the Python 3 interface to the rviz library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version}
export PYBUILD_SYSTEM=cmake

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	chrpath -d debian/tmp/usr/lib/python3*/*/rviz/*.so
	mv debian/tmp/usr/share/rviz/cmake/default_plugin_location.cmake debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/rviz

override_dh_auto_test:
	dh_auto_test -- --before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-rviz-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/ros-visualization/rviz/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-rviz 1.14.19+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rviz)

if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif()
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

# Define global caktin_lint suppressions
#catkin_lint: ignore uninstalled_script missing_install_target

find_package(Boost REQUIRED
  COMPONENTS
  filesystem
  program_options
  system
  thread
)

find_package(urdfdom_headers REQUIRED)

set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)  # required due to a bug in assimp 5.0
find_package(assimp REQUIRED)
if(NOT DEFINED ASSIMP_LIBRARIES AND TARGET assimp::assimp)
  # ASSIMP >= 5.0 no longer defines ASSIMP_LIBRARIES
  set(ASSIMP_LIBRARIES assimp::assimp)
endif()

find_package(OGRE QUIET COMPONENTS Overlay)
if(OGRE_FOUND)
  if(${OGRE_VERSION} VERSION_LESS 1.11)
    set(OGRE_INCLUDE_DIRS ${OGRE_INCLUDE_DIRS} ${OGRE_Overlay_INCLUDE_DIRS})
    set(OGRE_LIBRARIES ${OGRE_LIBRARIES} ${OGRE_Overlay_LIBRARIES})
  endif()
else()
  # OGRE doesn't come with correctly installed cmake files on Linux. Use pkg-config instead.
  # We need both, OGRE and OGRE-Overlay. Look for both simulatenously and use prefix X_
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(X REQUIRED OGRE OGRE-Overlay)

  # Set OGRE_* variables as cmake-based find_package would do
  set(OGRE_VERSION ${X_OGRE_VERSION})
  set(OGRE_INCLUDE_DIRS ${X_INCLUDE_DIRS})
  message(STATUS "OGRE_INCLUDE_DIRS=${OGRE_INCLUDE_DIRS}")

  # Find absolute path of OGRE libraries.
  # This is stored in the cache to save time on cmake re-run.
  # Using absolute paths is necessary if pkg-config finds Ogre in a different
  # location than the default.  This can happen when Ogre is built from source,
  # or when 2 versions of Ogre are installed.  Using absolute paths ensures that
  # components that link against Ogre (rviz and any packages depending on rviz)
  # all find the same Ogre shared library.
  if(NOT DEFINED OGRE_LIBRARIES)
    set(_OGRE_LIBRARIES)
    foreach(_lib ${X_LIBRARIES})
      set(_lib_tag "OGRE_RVIZ_${_lib}")

      find_library(${_lib_tag}
              NAMES ${_lib}
              HINTS ${X_LIBRARY_DIRS}
              PATHS ${X_LIBRARY_DIRS}
      )

      list(APPEND _OGRE_LIBRARIES ${${_lib_tag}})
    endforeach(_lib)

    set(OGRE_LIBRARIES ${_OGRE_LIBRARIES} CACHE STRING "Absolute paths to OGRE libs")
  endif(NOT DEFINED OGRE_LIBRARIES)
  message(STATUS "OGRE_LIBRARIES=${OGRE_LIBRARIES}")

  ## Fetch OGRE_PLUGIN_DIR variable from pkg-config
  if(NOT DEFINED OGRE_PLUGIN_DIR)
    execute_process(COMMAND
      ${PKG_CONFIG_EXECUTABLE} --variable=plugindir OGRE
      OUTPUT_VARIABLE OGRE_PLUGIN_DIR
      OUTPUT_STRIP_TRAILING_WHITESPACE
      )
  endif(NOT DEFINED OGRE_PLUGIN_DIR)
  message(STATUS "OGRE_PLUGIN_DIR=${OGRE_PLUGIN_DIR}")
endif()

# TODO: adapt version after upgrade to newer OGRE release
# Consider deprecation issues as warnings, not as errors for OGRE >= 1.10
if(NOT OGRE_VERSION VERSION_LESS "1.10.0" AND NOT MSVC)
  add_compile_options(-Wno-error=deprecated-declarations)
endif()

if(APPLE)
  FIND_LIBRARY(Cocoa_LIBRARIES Cocoa)
  set(rviz_ADDITIONAL_LIBRARIES ${Cocoa_LIBRARIES})

  # This definition prevents an Apple header from defining a macro called "check", which if
  # present, collides with another function in the rviz code. See:
  # https://opensource.apple.com/source/CarbonHeaders/CarbonHeaders-18.1/AssertMacros.h
  add_definitions(-D__ASSERT_MACROS_DEFINE_VERSIONS_WITHOUT_UNDERSCORES=0)
endif()

# Prefer newer vender-specific OpenGL library
if (POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()
find_package(OpenGL REQUIRED)

set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED COMPONENTS Core Widgets OpenGL)
set(QT_LIBRARIES Qt5::Widgets)
set(QTVERSION ${Qt5Widgets_VERSION})
add_definitions(-DQT_NO_KEYWORDS)

find_package(catkin REQUIRED
  COMPONENTS
  cmake_modules
  geometry_msgs
  image_transport
  interactive_markers
  laser_geometry
  map_msgs
  message_filters
  message_generation
  nav_msgs
  pluginlib
  python_qt_binding
  resource_retriever
  rosconsole
  roscpp
  roslib
  rospy
  sensor_msgs
  std_msgs
  std_srvs
  tf2_ros
  tf2_geometry_msgs
  urdf
  visualization_msgs
)

find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  #catkin_lint: ignore_once deprecated_cmake_module
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

find_package(TinyXML2 REQUIRED)

catkin_python_setup()

# Set the Qt version for use in the extras file.
set(rviz_QT_VERSION ${QTVERSION})

# This variable controls the target name of the default plugin library.
# It is used in the extras file (processed in caktin_package(...)) and the
# cmake code for the default plugin.
# There is a matching instance of this in the plugin_description.xml.
set(rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME rviz_default_plugin)

add_service_files(
  FILES
  SendFilePath.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

set(EXPORT_HEADER_DIR "${CATKIN_DEVEL_PREFIX}/include")
file(MAKE_DIRECTORY "${EXPORT_HEADER_DIR}")

#catkin_lint: ignore_once external_include_path
catkin_package(
  CFG_EXTRAS
    rviz-extras.cmake
  INCLUDE_DIRS
    src
    ${EXPORT_HEADER_DIR}
    ${EIGEN3_INCLUDE_DIRS}
    ${OGRE_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIR}
  LIBRARIES
    rviz
    ${OGRE_LIBRARIES}
    ${rviz_ADDITIONAL_LIBRARIES}
    ${OPENGL_LIBRARIES}
  CATKIN_DEPENDS
    geometry_msgs
    image_transport
    interactive_markers
    laser_geometry
    map_msgs
    message_filters
    message_runtime
    nav_msgs
    pluginlib
    resource_retriever
    roscpp
    roslib
    sensor_msgs
    std_msgs
    std_srvs
    tf2_ros
    urdf
    visualization_msgs
)

#catkin_lint: ignore_once external_directory
include_directories(src ${EXPORT_HEADER_DIR})
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${PYTHON_INCLUDE_PATH}
  ${TinyXML2_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${ASSIMP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

#### If gtk ends up being the best way to get the correct window
#### position under X11, this is how to compile it in.
#
# find_package(GTK2)
# include_directories(${GTK2_INCLUDE_DIRS})
# include_directories(/usr/include/gdk-pixbuf-2.0)

add_subdirectory(src)

if(OGRE_VERSION VERSION_LESS "1.10")
  set(EXCLUDE_PATTERN "ogre1.10.*")
else()
  set(EXCLUDE_PATTERN "ogre1.9.*")
endif()

install(DIRECTORY ogre_media
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "${EXCLUDE_PATTERN}" EXCLUDE
)
install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES default.rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES help/help.html
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/help
)
#catkin_lint: ignore uninstalled_target

=== src/rviz/CMakeLists.txt ===
--- 
+++ 
@@ -128,9 +128,6 @@
 include(GenerateExportHeader)
 set(EXPORT_FILE_NAME ${EXPORT_HEADER_DIR}/rviz/${PROJECT_NAME}_export.h)
 generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${EXPORT_FILE_NAME})
-if(NOT WIN32)
-  set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++11")
-endif()
 
 target_link_libraries(${PROJECT_NAME}
   ${Boost_LIBRARIES}
@@ -154,10 +151,6 @@
 
 ########### The rviz executable ###########
 add_executable(executable main.cpp)
-
-if(NOT WIN32)
-  set_target_properties(executable PROPERTIES COMPILE_FLAGS "-std=c++11")
-endif()
 
 target_link_libraries(executable ${PROJECT_NAME} ${QT_LIBRARIES} ${OGRE_LIBRARIES})

=== src/python_bindings/shiboken/CMakeLists.txt ===
# Build file for Python bindings via shiboken and pyside.

set(rviz_shiboken_QT_COMPONENTS
  QtCore
  QtGui
)

#catkin_lint: ignore_once duplicate_find
find_package(python_qt_binding REQUIRED)
include(${python_qt_binding_EXTRAS_DIR}/shiboken_helper.cmake)

if(shiboken_helper_FOUND)
  set(_configure_shiboken TRUE)
  if(Shiboken_VERSION VERSION_GREATER "1.1.1")
    if(APPLE AND Shiboken_VERSION VERSION_GREATER "1.2.1")
      # This appears to no longer be a problem at least with Shiboken 1.2.2 on OS X and Boost 1.57.
      set(_configure_shiboken TRUE)
    else()
      # shiboken 1.1.2 and higher will segfault until https://bugreports.qt-project.org/browse/PYSIDE-218 is fixed
      set(_configure_shiboken FALSE)
      message(WARNING "Shiboken version ${Shiboken_VERSION} would segfault when trying to process rviz (see https://bugreports.qt-project.org/browse/PYSIDE-218). Therefore shiboken bindings are being skipped.")
    endif()
  endif()
  if(_configure_shiboken)
    list(APPEND rviz_BINDINGS "shiboken")
    set(rviz_BINDINGS "${rviz_BINDINGS}" PARENT_SCOPE)

    # To add a new rviz class to the bindings, add it:
    # - in rviz_shiboken_SRCS below, like rviz_myclass_wrapper.cpp
    # - in rviz_HDRS below, like ../rviz/my_class.h
    # - in global.h, like #include <rviz/my_class.h>
    # - in typesystem.xml, like <object-type name="rviz::MyClass"/>

    set(rviz_shiboken_SRCS
      librviz_shiboken/librviz_shiboken_module_wrapper.cpp
      librviz_shiboken/rviz_visualizationframe_wrapper.cpp
      librviz_shiboken/rviz_visualizationmanager_wrapper.cpp
      librviz_shiboken/rviz_display_wrapper.cpp
      librviz_shiboken/rviz_displaygroup_wrapper.cpp
      librviz_shiboken/rviz_ogrelogging_wrapper.cpp
      librviz_shiboken/rviz_property_wrapper.cpp
      librviz_shiboken/rviz_boolproperty_wrapper.cpp
      librviz_shiboken/rviz_paneldockwidget_wrapper.cpp
      librviz_shiboken/rviz_viewmanager_wrapper.cpp
      librviz_shiboken/rviz_viewcontroller_wrapper.cpp
      librviz_shiboken/rviz_tool_wrapper.cpp
      librviz_shiboken/rviz_toolmanager_wrapper.cpp
      librviz_shiboken/rviz_config_wrapper.cpp
      librviz_shiboken/rviz_config_mapiterator_wrapper.cpp
      librviz_shiboken/rviz_yamlconfigreader_wrapper.cpp
      librviz_shiboken/rviz_yamlconfigwriter_wrapper.cpp
      librviz_shiboken/rviz_wrapper.cpp
    )

    set(rviz_shiboken_INCLUDE_DIR ${PROJECT_SOURCE_DIR}/src)

    set(rviz_HDRS
      ${rviz_shiboken_INCLUDE_DIR}/rviz/visualization_frame.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/visualization_manager.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/view_manager.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/view_controller.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/display.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/display_group.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/properties/property.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/properties/bool_property.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/panel_dock_widget.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/tool.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/tool_manager.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/ogre_helpers/ogre_logging.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/config.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/yaml_config_reader.h
      ${rviz_shiboken_INCLUDE_DIR}/rviz/yaml_config_writer.h
    )

    shiboken_generator(
      librviz
      global.h
      typesystem.xml
      ${PROJECT_SOURCE_DIR}/src/python_bindings/shiboken
      "${rviz_shiboken_SRCS}"
      "${rviz_HDRS}"
      "${rviz_shiboken_INCLUDE_DIR}"
      "${CMAKE_CURRENT_BINARY_DIR}"
    )

    include_directories(rviz_shiboken
      ${rviz_shiboken_INCLUDE_DIR}/rviz
      ${rviz_shiboken_INCLUDE_DIR}/rviz/properties
      ${rviz_shiboken_INCLUDE_DIR}/rviz/ogre_helpers
    )
    shiboken_include_directories(rviz_shiboken "${rviz_shiboken_QT_COMPONENTS}")
    add_library(rviz_shiboken ${rviz_shiboken_SRCS})
    set_target_properties(rviz_shiboken PROPERTIES
      LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR}/rviz)
    target_link_libraries(rviz_shiboken ${PROJECT_NAME})
    shiboken_target_link_libraries(rviz_shiboken "${rviz_shiboken_QT_COMPONENTS}")

    install(TARGETS rviz_shiboken
      LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})
  endif()
endif()

=== src/python_bindings/sip/CMakeLists.txt ===
--- 
+++ 
@@ -66,7 +66,9 @@
     DEPENDS ${rviz_sip_DEPENDENT_FILES}
     DEPENDENCIES rviz
   )
-  if(APPLE)
+  if(DEFINED PYTHON_EXTENSION_MODULE_SUFFIX)
+    set(rviz_sip_LIBRARY_FILE librviz_sip${PYTHON_EXTENSION_MODULE_SUFFIX})
+  elseif(APPLE)
     set(rviz_sip_LIBRARY_FILE librviz_sip.so)
   elseif(WIN32)
     set(rviz_sip_LIBRARY_FILE librviz_sip.pyd)

=== debian/changelog ===
ros-rviz (1.14.19+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Move librviz_default_plugin.so to lib/
  * Drop obsolete alternative build dependency
  * Bump policy version (no changes)
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 22 Jan 2023 19:22:49 +0100

ros-rviz (1.14.19+dfsg-3) unstable; urgency=medium

  * Add Qt dependency for ${rviz_QT_VERSION} to librviz-dev

 -- Timo Röhling <roehling@debian.org>  Fri, 04 Nov 2022 00:24:40 +0100

ros-rviz (1.14.19+dfsg-2) unstable; urgency=medium

  * Add patch for s390 ftbfs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Oct 2022 13:00:12 +0200

ros-rviz (1.14.19+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.19+dfsg

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Aug 2022 19:51:56 +0200

ros-rviz (1.14.18+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.18+dfsg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Aug 2022 15:52:50 +0200

ros-rviz (1.14.15+dfsg-3) unstable; urgency=medium

  * really upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Aug 2022 23:37:13 +0200

ros-rviz (1.14.15+dfsg-2) experimental; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Aug 2022 23:29:33 +0200

ros-rviz (1.14.15+dfsg-1) experimental; urgency=medium

  * New upstream version 1.14.15+dfsg
  * Drop upstreamed patches, define RVIZ_SOVERSION
  * Bump SoName due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Aug 2022 09:40:28 +0200

ros-rviz (1.14.14+dfsg-2) unstable; urgency=medium

  * Fix missing include
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 19:45:12 +0200

=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 catkin (>= 0.8.10-1~),
 chrpath,
 dh-sequence-python3,
 dh-sequence-sip3,
 libassimp-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libeigen3-dev,
 libgl-dev,
 libgtest-dev,
 libimage-transport-dev,
 libinteractive-markers-dev,
 liblaser-geometry-dev,
 libmap-msgs-dev,
 libmessage-filters-dev,
 libnav-msgs-dev,
 libogre-1.12-dev,
 libqt5opengl5-dev,
 libresource-retriever-dev,
 librosbag-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 libtf-dev,
 liburdf-dev,
 liburdfdom-dev,
 libvisualization-msgs-dev,
 libx11-dev,
 libyaml-cpp-dev,
 pluginlib-dev,
 python3-all-dev,
 python3-python-qt-binding,
 python3-rospy,
 ros-std-msgs,
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rviz
Vcs-Git: https://salsa.debian.org/science-team/ros-rviz.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rviz
Description: Robot OS 3D visualization tool
 This package is part of Robot OS (ROS) RViz package. RViz is a tool to
 visualize ROS messages and the state of the robot.

Package: librviz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${rviz:Depends},
 librviz7d (= ${binary:Version}),
 libimage-transport-dev,
 libinteractive-markers-dev,
 liblaser-geometry-dev,
 libmap-msgs-dev,
 libmessage-filters-dev,
 libnav-msgs-dev,
 libogre-1.12-dev,
 libresource-retriever-dev,
 librosbag-dev,
 librosconsole-dev,
 libroscpp-dev,
 libroslib-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libstd-srvs-dev,
 libtf-dev,
 liburdf-dev,
 libvisualization-msgs-dev,
 pluginlib-dev,
 python3-python-qt-binding,
 python3-rospy,
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the development files for the rviz library.

Package: librviz7d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis} (library)
 ${source:Extended-Description}
 .
 This package contains the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-liberation,
 libqt5svg5,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the rviz program.

Package: python3-rviz
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${sip3:Depends},
 python3-python-qt-binding,
Description: ${source:Synopsis} (Python 3 bindings)
 ${source:Extended-Description}
 .
 This package contains the Python 3 interface to the rviz library.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,16 @@
 #!/usr/bin/make -f
 
-export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version}
+# Change RVIZ_PLUGIN_SOVERSION also in debian/rviz.links
+export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version} -DRVIZ_SOVERSION=7d -DRVIZ_PLUGIN_SOVERSION=1d
 export PYBUILD_SYSTEM=cmake
 
 include /usr/share/dpkg/architecture.mk
+
+# librviz-dev exposes the exact qt version in rviz-extras.cmake so downstream
+# projects can find_package() it. This creates a dependency on at least that
+# version.
+# See: https://github.com/ros-visualization/rviz/issues/1773
+RVIZ_DEPENDS = $(shell dpkg-query -f '$${Package} (>= $${source:Upstream-Version})' -W qtbase5-dev)
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -14,3 +21,6 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vrviz:Depends="$(RVIZ_DEPENDS)"

## ros-rviz 1.14.20+dfsg

=== debian/changelog ===
ros-rviz (1.14.20+dfsg-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:02:38 +1100

ros-rviz (1.14.20+dfsg-4build2) noble; urgency=medium

  * No-change rebuild against ros-ros-comm t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 12:33:25 +0100

ros-rviz (1.14.20+dfsg-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:01:05 +0000

ros-rviz (1.14.20+dfsg-4) unstable; urgency=medium

  * actually upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 16 Jan 2024 13:55:09 +0100

ros-rviz (1.14.20+dfsg-3) experimental; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 16 Jan 2024 13:45:26 +0100

ros-rviz (1.14.20+dfsg-2) experimental; urgency=medium

  * Fix build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 15 Jan 2024 11:38:08 +0100

ros-rviz (1.14.20+dfsg-1) experimental; urgency=medium

  * New upstream version 1.14.20+dfsg
  * Bump Sonames due to ABI change
  * Update dependencies for cross builds
  * Switch to sip6

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Jan 2024 23:02:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ros-rviz
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jochen Sprickerhof <jspricke@debian.org>,
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
@@ -10,7 +11,6 @@
  catkin (>= 0.8.10-1~),
  chrpath,
  dh-sequence-python3,
- dh-sequence-sip3,
  libassimp-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
@@ -18,7 +18,7 @@
  libboost-thread-dev,
  libeigen3-dev,
  libgl-dev,
- libgtest-dev,
+ libgtest-dev <!nocheck>,
  libimage-transport-dev,
  libinteractive-markers-dev,
  liblaser-geometry-dev,
@@ -43,10 +43,14 @@
  libx11-dev,
  libyaml-cpp-dev,
  pluginlib-dev,
- python3-all-dev,
- python3-python-qt-binding,
+ libpython3-all-dev,
+ pyqt5-dev,
+ python3-all:any,
+ python3-pyqt5,
+ python3-pyqtbuild,
  python3-rospy,
  ros-std-msgs,
+ sip-tools,
 Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
@@ -64,7 +68,7 @@
 Depends:
  ${misc:Depends},
  ${rviz:Depends},
- librviz7d (= ${binary:Version}),
+ librviz8d (= ${binary:Version}),
  libimage-transport-dev,
  libinteractive-markers-dev,
  liblaser-geometry-dev,
@@ -84,14 +88,13 @@
  liburdf-dev,
  libvisualization-msgs-dev,
  pluginlib-dev,
- python3-python-qt-binding,
  python3-rospy,
 Description: ${source:Synopsis} (development files)
  ${source:Extended-Description}
  .
  This package contains the development files for the rviz library.
 
-Package: librviz7d
+Package: librviz8d
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -122,8 +125,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- ${sip3:Depends},
- python3-python-qt-binding,
 Description: ${source:Synopsis} (Python 3 bindings)
  ${source:Extended-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Change RVIZ_PLUGIN_SOVERSION also in debian/rviz.links
-export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version} -DRVIZ_SOVERSION=7d -DRVIZ_PLUGIN_SOVERSION=1d
+export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version} -DRVIZ_SOVERSION=8d -DRVIZ_PLUGIN_SOVERSION=2d -DBUILD_TESTING:BOOL=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
 export PYBUILD_SYSTEM=cmake
 
 include /usr/share/dpkg/architecture.mk
